﻿<Page x:Class="POSDesktop.Views.ItemEntry"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:POSDesktop.Views"
        mc:Ignorable="d" >

    <StackPanel>
        <Grid Margin="50 30 50 10">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="3*" />
            </Grid.ColumnDefinitions>

            <Label Grid.Column="0" x:Name="L_Category_name" Content="Category" BorderThickness="2" FontWeight="Bold" FontSize="15" />
            <!--Path= CategoryListDd-->
            <ComboBox ItemsSource="{Binding}" Grid.Column="1" x:Name="DD_Category_Name" BorderThickness="1" Padding="5" DisplayMemberPath="CategoryName" SelectedValuePath="Id" FontSize="15"  IsEditable="True"  Text="Select Category " SelectionChanged="ComboBox_OnChangeSubCategory"
           />

        </Grid>

        <Border Margin="10 10 10 10" BorderThickness="1" BorderBrush="Black">

            <StackPanel >
                <HeaderedContentControl Content="Product Details" Margin="5"/>
                <Grid Margin="10 5 10 5" MaxHeight="200">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width=".5*" />
                        <ColumnDefinition Width="*" />                        
                    </Grid.ColumnDefinitions>

                    <Border Grid.Column="0">
                        <Grid Margin="5">
                            <Grid.RowDefinitions>
                                <RowDefinition  Height="*" />
                                <RowDefinition  Height="*" />
                                <RowDefinition  Height="*" />
                                <RowDefinition  Height="*" />
                                <RowDefinition  Height="*" />
                                <RowDefinition  Height="*" />
                            </Grid.RowDefinitions>

                            <!--- sub category name -->
                            <Grid Grid.Row="0" Margin="2">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width=".5*" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>

                                <Label Grid.Column="0" x:Name="L_Sub_Category_name" Content="Sub-Category" BorderThickness="1" FontWeight="Bold" FontSize="12" />
                                <!--Path= SubCategoryListDd-->
                                <ComboBox ItemsSource="{Binding }" Grid.Column="1" x:Name="DD_Sub_Category_Name" Height="30"  BorderThickness="1" Padding="5" DisplayMemberPath="SubCategoryName" SelectedValuePath="Id" FontSize="12"  />


                            </Grid>

                            <!--- supplier name-->
                            <Grid Grid.Row="1" Margin="2">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width=".5*" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>

                                <Label Grid.Column="0" x:Name="L_Supplier_name" Content="Supplier" BorderThickness="1" FontWeight="Bold" FontSize="12" />
                                <!--Path= SupplierListDd-->
                                <ComboBox ItemsSource="{Binding }" Grid.Column="1" x:Name="DD_Supplier_Name" Height="30" BorderThickness="1" Padding="5" DisplayMemberPath="Name" SelectedValuePath="Id" FontSize="12"  />


                            </Grid>

                            <!-- product name-->
                            <Grid Grid.Row="2" Margin="2">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width=".5*" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>

                                <Label Grid.Column="0" x:Name="L_Product_name" Content="Product Name" BorderThickness="1" FontWeight="Bold" FontSize="12" />

                                <TextBox Grid.Column="1" x:Name="T_Product_Name" BorderThickness="1" Padding="5" FontSize="12"  />
                            </Grid>

                            <!-- amount-->
                            <Grid Grid.Row="3" Margin="2">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width=".5*" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>

                                <Label Grid.Column="0" x:Name="L_Amount" Content="Amount" BorderThickness="1" FontWeight="Bold" FontSize="12" />

                                <TextBox Grid.Column="1" x:Name="T_Amount" BorderThickness="1" Padding="5" FontSize="12"  />
                            </Grid>

                            <!-- price-->
                            <Grid Grid.Row="4" Margin="2">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width=".5*" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>

                                <Label Grid.Column="0" x:Name="L_Price" Content="Price" BorderThickness="1" FontWeight="Bold" FontSize="12" />

                                <TextBox Grid.Column="1" x:Name="T_Price" BorderThickness="1" Padding="5" FontSize="12"  />
                            </Grid>

                            <!--- button -->
                            <Grid Grid.Row="5" Width="50" Height="30" HorizontalAlignment="Right">
                                <Button  Content="Add" Click="button_add_details" Height="20" Background="Gainsboro">
                                    <Button.Resources>
                                        <Style TargetType="{x:Type Border}">
                                            <Setter Property="CornerRadius" Value="5" />
                                        </Style>
                                    </Button.Resources>
                                </Button>
                            </Grid>


                        </Grid>
                    </Border>

                    <Border Grid.Column="1">
                        
                            <DataGrid x:Name="ProductDetailsList" 
                                ItemsSource="{Binding}"  AutoGenerateColumns="False" CanUserDeleteRows="True" CanUserAddRows="False" HorizontalAlignment="Center" HorizontalScrollBarVisibility="Disabled" VerticalScrollBarVisibility="Visible" Width="650" MaxHeight="250">
                                <DataGrid.Columns>
                                    <DataGridTextColumn Header="ID" Binding="{Binding ID , Mode=TwoWay}" Width="30"  />
                                <DataGridTextColumn Header="Sub-Category" Binding="{Binding SubCategoryName, Mode=TwoWay}"  Width="120"   />
                                    <DataGridTextColumn Header="Supplier" Binding="{Binding SupplierName, Mode=TwoWay}"  Width="120"    />
                                    <DataGridTextColumn Header="Item" Binding="{Binding Name}" Width="100"   />
                                    <DataGridTextColumn Header="Amount" Binding="{Binding Amount}" Width="100"    />
                                    <DataGridTextColumn Header="Price" Binding="{Binding Price}"  Width="100"  />

                                    <DataGridTemplateColumn Header="Action"  Width="70" >
                                        <DataGridTemplateColumn.CellTemplate>
                                            <DataTemplate>
                                                <Button Margin="2" >Edit</Button>
                                            </DataTemplate>
                                        </DataGridTemplateColumn.CellTemplate>
                                    </DataGridTemplateColumn  >

                                    <DataGridTemplateColumn Width="80" >
                                        <DataGridTemplateColumn.CellTemplate>
                                            <DataTemplate>
                                                <Button Content="Delete" Margin="2"   Background="Red" />
                                            </DataTemplate>
                                        </DataGridTemplateColumn.CellTemplate>
                                    </DataGridTemplateColumn>

                                </DataGrid.Columns>

                            </DataGrid>
                        
                    </Border>
                </Grid>
                
            </StackPanel>
        </Border>

        <Border>
            <Grid Margin="600 0 00 0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>
                <!--<Button Grid.Column="0" Margin="20 0">Cancel</Button>-->
                <Button Grid.Column="1" Margin="50 0 0 0 " Click="Save_Button" Content="Save" BorderBrush="Tomato" Height="30" Width="100" >
                    <Button.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="10" />
                        </Style>
                    </Button.Resources>
                 
                </Button>
            </Grid>
        </Border>

  <!--Product list -->
        <Border Margin="5 5">
            <Grid >
                <DataGrid x:Name="AllProductList" 
                                ItemsSource="{Binding}"  AutoGenerateColumns="False" CanUserDeleteRows="True" CanUserAddRows="False" IsReadOnly="True" AlternatingRowBackground="Azure" HorizontalScrollBarVisibility="Disabled" VerticalScrollBarVisibility="Auto" Width="800" MaxHeight="200" >
                    <DataGrid.Columns>
                        <DataGridTextColumn Header="ID" Binding="{Binding Id , Mode=TwoWay}" Width="30"  />
                        <DataGridTextColumn Header="Sub-Category" Binding="{Binding CategoryName, Mode=TwoWay}" Width="700"  />
                         
                        <DataGridTemplateColumn Header="Action"  Width="65" >
                            <DataGridTemplateColumn.CellTemplate>
                                <DataTemplate>
                                    <Button Margin="2" Click="Button_Product_Detail_List" CommandParameter="{Binding Path=Id}">Detail</Button>
                                </DataTemplate>
                            </DataGridTemplateColumn.CellTemplate>
                        </DataGridTemplateColumn  >

                        <!--<DataGridTemplateColumn Width="80" >
                            <DataGridTemplateColumn.CellTemplate>
                                <DataTemplate>
                                    <Button Content="Delete" Margin="2"   Background="Red" />
                                </DataTemplate>
                            </DataGridTemplateColumn.CellTemplate>
                        </DataGridTemplateColumn>-->

                    </DataGrid.Columns>

                </DataGrid>

                <Popup Margin="100,10,0,13" x:Name="Popup1" Placement="Center"   
  Width="auto" Height="auto">
                    <StackPanel Background="White">                    
                        <Button x:Name="ClosePopup" Click="Close_Popup_ProductDetailList" Content="X" Height="20" Width="20" HorizontalAlignment="Right" Background="IndianRed" />


                        <Grid Margin=" 0 5">

                            <DataGrid x:Name="ProductDetailListPop" IsReadOnly="True" CanUserAddRows="False" AutoGenerateColumns="False" Width="718" >

                                <DataGrid.Columns>
                                    <DataGridTextColumn Header="ID" Binding="{Binding Id , Mode=TwoWay}" Width="30"  />
                                    <DataGridTextColumn Header="Sub-Category" Binding="{Binding CategoryName, Mode=TwoWay}" Width="160"  />
                                    <DataGridTextColumn Header="Supplier" Binding="{Binding SupplierName, Mode=TwoWay}" Width="170"  />
                                    <DataGridTextColumn Header="Name" Binding="{Binding Name, Mode=TwoWay}" Width="150"  />
                                    <DataGridTextColumn Header="Amount" Binding="{Binding Amount, Mode=TwoWay}" Width="100"  />
                                    <DataGridTextColumn Header="Price" Binding="{Binding Price, Mode=TwoWay}" Width="100"  />

                                    <!--<DataGridTemplateColumn Header="Action"  Width="65" >
                                        <DataGridTemplateColumn.CellTemplate>
                                            <DataTemplate>
                                                <Button Margin="2" Click="Button_Product_Detail_List" CommandParameter="{Binding Path=Id}">Detail</Button>
                                            </DataTemplate>
                                        </DataGridTemplateColumn.CellTemplate>
                                    </DataGridTemplateColumn  >-->

                                    <!--<DataGridTemplateColumn Width="80" >
                            <DataGridTemplateColumn.CellTemplate>
                                <DataTemplate>
                                    <Button Content="Delete" Margin="2"   Background="Red" />
                                </DataTemplate>
                            </DataGridTemplateColumn.CellTemplate>
                        </DataGridTemplateColumn>-->

                                </DataGrid.Columns>

                            </DataGrid>
                            
                        </Grid>
                        
                    </StackPanel>
                </Popup>
            </Grid>
        </Border> 
    </StackPanel>

</Page>
